LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XPrintJobBroadcaster Interface Referencepublished

allows for getting information about a print job. More...

`import"XPrintJobBroadcaster.idl";`

Inheritance diagram for XPrintJobBroadcaster:

## Public Member Functions
void | addPrintJobListener ([in] XPrintJobListener xListener)
| adds an XPrintJobListener to be notified about print progress. More...
void | removePrintJobListener ([in] XPrintJobListener xListener)
| removes an XPrintJobListener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows for getting information about a print job.

XPrintJobBroadcaster can be implemented by classes which implement XPrintable. It allows a XPrintJobListener to be registered, thus a client object will learn about the print progress.

See also
  XPrintJobListener

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ addPrintJobListener()

void addPrintJobListener | ( | [in] XPrintJobListener | xListener | ) |

adds an XPrintJobListener to be notified about print progress.

## ◆ removePrintJobListener()

void removePrintJobListener | ( | [in] XPrintJobListener | xListener | ) |

removes an XPrintJobListener.

The documentation for this interface was generated from the following file:

- com/sun/star/view/XPrintJobBroadcaster.idl